package com.mortals.xhx.module.product.model;

import java.util.List;
import com.mortals.xhx.module.product.model.ProductVersionEntity;
/**
* 产品客户端版本查询对象
*
* @author zxfei
* @date 2022-08-22
*/
public class ProductVersionQuery extends ProductVersionEntity {
    /** 开始 主键ID，主键，自增长 */
    private Long idStart;

    /** 结束 主键ID，主键，自增长 */
    private Long idEnd;

    /** 增加 主键ID，主键，自增长 */
    private Long idIncrement;

    /** 主键ID，主键，自增长列表 */
    private List <Long> idList;

    /** 开始 产品Id */
    private Long productIdStart;

    /** 结束 产品Id */
    private Long productIdEnd;

    /** 增加 产品Id */
    private Long productIdIncrement;

    /** 产品Id列表 */
    private List <Long> productIdList;

    /** 产品编码 */
    private List<String> productCodeList;

    /** 产品名称 */
    private List<String> productNameList;

    /** 文件相对路径地址 */
    private List<String> filePathList;

    /** 开始 版本号 */
    private Integer versionStart;

    /** 结束 版本号 */
    private Integer versionEnd;

    /** 增加 版本号 */
    private Integer versionIncrement;

    /** 版本号列表 */
    private List <Integer> versionList;

    /** 备注信息 */
    private List<String> remarkList;

    /** 开始 创建时间 */
    private String createTimeStart;

    /** 结束 创建时间 */
    private String createTimeEnd;

    /** 开始 更新用户 */
    private Long updateUserIdStart;

    /** 结束 更新用户 */
    private Long updateUserIdEnd;

    /** 增加 更新用户 */
    private Long updateUserIdIncrement;

    /** 更新用户列表 */
    private List <Long> updateUserIdList;

    /** 开始 更新时间 */
    private String updateTimeStart;

    /** 结束 更新时间 */
    private String updateTimeEnd;

    /** OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4) */
    private List<ProductVersionQuery> orConditionList;

    /** AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4) */
    private List<ProductVersionQuery> andConditionList;

    public ProductVersionQuery(){}

    /**
    * 获取 开始 主键ID，主键，自增长
    * @return idStart
    */
    public Long getIdStart(){
        return this.idStart;
    }

    /**
    * 设置 开始 主键ID，主键，自增长
    * @param idStart
    */
    public void setIdStart(Long idStart){
        this.idStart = idStart;
    }

    /**
    * 获取 结束 主键ID，主键，自增长
    * @return $idEnd
    */
    public Long getIdEnd(){
        return this.idEnd;
    }

    /**
    * 设置 结束 主键ID，主键，自增长
    * @param idEnd
    */
    public void setIdEnd(Long idEnd){
        this.idEnd = idEnd;
    }

    /**
    * 获取 增加 主键ID，主键，自增长
    * @return idIncrement
    */
    public Long getIdIncrement(){
        return this.idIncrement;
    }

    /**
    * 设置 增加 主键ID，主键，自增长
    * @param idIncrement
    */
    public void setIdIncrement(Long idIncrement){
        this.idIncrement = idIncrement;
    }

    /**
    * 获取 主键ID，主键，自增长
    * @return idList
    */
    public List<Long> getIdList(){
        return this.idList;
    }

    /**
    * 设置 主键ID，主键，自增长
    * @param idList
    */
    public void setIdList(List<Long> idList){
        this.idList = idList;
    }

    /**
    * 获取 开始 产品Id
    * @return productIdStart
    */
    public Long getProductIdStart(){
        return this.productIdStart;
    }

    /**
    * 设置 开始 产品Id
    * @param productIdStart
    */
    public void setProductIdStart(Long productIdStart){
        this.productIdStart = productIdStart;
    }

    /**
    * 获取 结束 产品Id
    * @return $productIdEnd
    */
    public Long getProductIdEnd(){
        return this.productIdEnd;
    }

    /**
    * 设置 结束 产品Id
    * @param productIdEnd
    */
    public void setProductIdEnd(Long productIdEnd){
        this.productIdEnd = productIdEnd;
    }

    /**
    * 获取 增加 产品Id
    * @return productIdIncrement
    */
    public Long getProductIdIncrement(){
        return this.productIdIncrement;
    }

    /**
    * 设置 增加 产品Id
    * @param productIdIncrement
    */
    public void setProductIdIncrement(Long productIdIncrement){
        this.productIdIncrement = productIdIncrement;
    }

    /**
    * 获取 产品Id
    * @return productIdList
    */
    public List<Long> getProductIdList(){
        return this.productIdList;
    }

    /**
    * 设置 产品Id
    * @param productIdList
    */
    public void setProductIdList(List<Long> productIdList){
        this.productIdList = productIdList;
    }

    /**
    * 获取 产品编码
    * @return productCodeList
    */
    public List<String> getProductCodeList(){
        return this.productCodeList;
    }

    /**
    * 设置 产品编码
    * @param productCodeList
    */
    public void setProductCodeList(List<String> productCodeList){
        this.productCodeList = productCodeList;
    }
    /**
    * 获取 产品名称
    * @return productNameList
    */
    public List<String> getProductNameList(){
        return this.productNameList;
    }

    /**
    * 设置 产品名称
    * @param productNameList
    */
    public void setProductNameList(List<String> productNameList){
        this.productNameList = productNameList;
    }
    /**
    * 获取 文件相对路径地址
    * @return filePathList
    */
    public List<String> getFilePathList(){
        return this.filePathList;
    }

    /**
    * 设置 文件相对路径地址
    * @param filePathList
    */
    public void setFilePathList(List<String> filePathList){
        this.filePathList = filePathList;
    }
    /**
    * 获取 开始 版本号
    * @return versionStart
    */
    public Integer getVersionStart(){
        return this.versionStart;
    }

    /**
    * 设置 开始 版本号
    * @param versionStart
    */
    public void setVersionStart(Integer versionStart){
        this.versionStart = versionStart;
    }

    /**
    * 获取 结束 版本号
    * @return $versionEnd
    */
    public Integer getVersionEnd(){
        return this.versionEnd;
    }

    /**
    * 设置 结束 版本号
    * @param versionEnd
    */
    public void setVersionEnd(Integer versionEnd){
        this.versionEnd = versionEnd;
    }

    /**
    * 获取 增加 版本号
    * @return versionIncrement
    */
    public Integer getVersionIncrement(){
        return this.versionIncrement;
    }

    /**
    * 设置 增加 版本号
    * @param versionIncrement
    */
    public void setVersionIncrement(Integer versionIncrement){
        this.versionIncrement = versionIncrement;
    }

    /**
    * 获取 版本号
    * @return versionList
    */
    public List<Integer> getVersionList(){
        return this.versionList;
    }

    /**
    * 设置 版本号
    * @param versionList
    */
    public void setVersionList(List<Integer> versionList){
        this.versionList = versionList;
    }

    /**
    * 获取 备注信息
    * @return remarkList
    */
    public List<String> getRemarkList(){
        return this.remarkList;
    }

    /**
    * 设置 备注信息
    * @param remarkList
    */
    public void setRemarkList(List<String> remarkList){
        this.remarkList = remarkList;
    }
    /**
    * 获取 开始 创建时间
    * @return createTimeStart
    */
    public String getCreateTimeStart(){
        return this.createTimeStart;
    }

    /**
    * 设置 开始 创建时间
    * @param createTimeStart
    */
    public void setCreateTimeStart(String createTimeStart){
        this.createTimeStart = createTimeStart;
    }

    /**
    * 获取 结束 创建时间
    * @return createTimeEnd
    */
    public String getCreateTimeEnd(){
        return this.createTimeEnd;
    }

    /**
    * 设置 结束 创建时间
    * @param createTimeEnd
    */
    public void setCreateTimeEnd(String createTimeEnd){
        this.createTimeEnd = createTimeEnd;
    }

    /**
    * 获取 开始 更新用户
    * @return updateUserIdStart
    */
    public Long getUpdateUserIdStart(){
        return this.updateUserIdStart;
    }

    /**
    * 设置 开始 更新用户
    * @param updateUserIdStart
    */
    public void setUpdateUserIdStart(Long updateUserIdStart){
        this.updateUserIdStart = updateUserIdStart;
    }

    /**
    * 获取 结束 更新用户
    * @return $updateUserIdEnd
    */
    public Long getUpdateUserIdEnd(){
        return this.updateUserIdEnd;
    }

    /**
    * 设置 结束 更新用户
    * @param updateUserIdEnd
    */
    public void setUpdateUserIdEnd(Long updateUserIdEnd){
        this.updateUserIdEnd = updateUserIdEnd;
    }

    /**
    * 获取 增加 更新用户
    * @return updateUserIdIncrement
    */
    public Long getUpdateUserIdIncrement(){
        return this.updateUserIdIncrement;
    }

    /**
    * 设置 增加 更新用户
    * @param updateUserIdIncrement
    */
    public void setUpdateUserIdIncrement(Long updateUserIdIncrement){
        this.updateUserIdIncrement = updateUserIdIncrement;
    }

    /**
    * 获取 更新用户
    * @return updateUserIdList
    */
    public List<Long> getUpdateUserIdList(){
        return this.updateUserIdList;
    }

    /**
    * 设置 更新用户
    * @param updateUserIdList
    */
    public void setUpdateUserIdList(List<Long> updateUserIdList){
        this.updateUserIdList = updateUserIdList;
    }

    /**
    * 获取 开始 更新时间
    * @return updateTimeStart
    */
    public String getUpdateTimeStart(){
        return this.updateTimeStart;
    }

    /**
    * 设置 开始 更新时间
    * @param updateTimeStart
    */
    public void setUpdateTimeStart(String updateTimeStart){
        this.updateTimeStart = updateTimeStart;
    }

    /**
    * 获取 结束 更新时间
    * @return updateTimeEnd
    */
    public String getUpdateTimeEnd(){
        return this.updateTimeEnd;
    }

    /**
    * 设置 结束 更新时间
    * @param updateTimeEnd
    */
    public void setUpdateTimeEnd(String updateTimeEnd){
        this.updateTimeEnd = updateTimeEnd;
    }

    /**
    * 设置  主键ID，主键，自增长
    * @param id
    */
    public ProductVersionQuery id(Long id){
	    setId(id);
		return this;
    }
	
	 /**
    * 设置 开始 主键ID，主键，自增长
    * @param idStart
    */
    public ProductVersionQuery idStart(Long idStart){
		this.idStart = idStart;
		return this;
    }

    /**
    * 设置 结束 主键ID，主键，自增长
    * @param idEnd
    */
    public ProductVersionQuery idEnd(Long idEnd){
		this.idEnd = idEnd;
		return this;
    }

    /**
    * 设置 增加 主键ID，主键，自增长
    * @param idIncrement
    */
    public ProductVersionQuery idIncrement(Long idIncrement){
		this.idIncrement = idIncrement;
		return this;
    }

    /**
    * 设置 主键ID，主键，自增长
    * @param idList
    */
    public ProductVersionQuery idList(List<Long> idList){
        this.idList = idList;
		return this;
        }

    /**
    * 设置  产品Id
    * @param productId
    */
    public ProductVersionQuery productId(Long productId){
	    setProductId(productId);
		return this;
    }
	
	 /**
    * 设置 开始 产品Id
    * @param productIdStart
    */
    public ProductVersionQuery productIdStart(Long productIdStart){
		this.productIdStart = productIdStart;
		return this;
    }

    /**
    * 设置 结束 产品Id
    * @param productIdEnd
    */
    public ProductVersionQuery productIdEnd(Long productIdEnd){
		this.productIdEnd = productIdEnd;
		return this;
    }

    /**
    * 设置 增加 产品Id
    * @param productIdIncrement
    */
    public ProductVersionQuery productIdIncrement(Long productIdIncrement){
		this.productIdIncrement = productIdIncrement;
		return this;
    }

    /**
    * 设置 产品Id
    * @param productIdList
    */
    public ProductVersionQuery productIdList(List<Long> productIdList){
        this.productIdList = productIdList;
		return this;
        }


	/**
    * 设置 产品编码
    * @param productCode
    */
    public ProductVersionQuery productCode(String productCode){
        setProductCode(productCode);
		return this;
    }

    /**
    * 设置 产品编码
    * @param productCodeList
    */
    public ProductVersionQuery productCodeList(List<String> productCodeList){
        this.productCodeList = productCodeList;
		return this;
    }


	/**
    * 设置 产品名称
    * @param productName
    */
    public ProductVersionQuery productName(String productName){
        setProductName(productName);
		return this;
    }

    /**
    * 设置 产品名称
    * @param productNameList
    */
    public ProductVersionQuery productNameList(List<String> productNameList){
        this.productNameList = productNameList;
		return this;
    }


	/**
    * 设置 文件相对路径地址
    * @param filePath
    */
    public ProductVersionQuery filePath(String filePath){
        setFilePath(filePath);
		return this;
    }

    /**
    * 设置 文件相对路径地址
    * @param filePathList
    */
    public ProductVersionQuery filePathList(List<String> filePathList){
        this.filePathList = filePathList;
		return this;
    }

    /**
    * 设置  版本号
    * @param version
    */
    public ProductVersionQuery version(Integer version){
	    setVersion(version);
		return this;
    }
	
	 /**
    * 设置 开始 版本号
    * @param versionStart
    */
    public ProductVersionQuery versionStart(Integer versionStart){
		this.versionStart = versionStart;
		return this;
    }

    /**
    * 设置 结束 版本号
    * @param versionEnd
    */
    public ProductVersionQuery versionEnd(Integer versionEnd){
		this.versionEnd = versionEnd;
		return this;
    }

    /**
    * 设置 增加 版本号
    * @param versionIncrement
    */
    public ProductVersionQuery versionIncrement(Integer versionIncrement){
		this.versionIncrement = versionIncrement;
		return this;
    }

    /**
    * 设置 版本号
    * @param versionList
    */
    public ProductVersionQuery versionList(List<Integer> versionList){
        this.versionList = versionList;
		return this;
        }


	/**
    * 设置 备注信息
    * @param remark
    */
    public ProductVersionQuery remark(String remark){
        setRemark(remark);
		return this;
    }

    /**
    * 设置 备注信息
    * @param remarkList
    */
    public ProductVersionQuery remarkList(List<String> remarkList){
        this.remarkList = remarkList;
		return this;
    }


    /**
    * 设置  更新用户
    * @param updateUserId
    */
    public ProductVersionQuery updateUserId(Long updateUserId){
	    setUpdateUserId(updateUserId);
		return this;
    }
	
	 /**
    * 设置 开始 更新用户
    * @param updateUserIdStart
    */
    public ProductVersionQuery updateUserIdStart(Long updateUserIdStart){
		this.updateUserIdStart = updateUserIdStart;
		return this;
    }

    /**
    * 设置 结束 更新用户
    * @param updateUserIdEnd
    */
    public ProductVersionQuery updateUserIdEnd(Long updateUserIdEnd){
		this.updateUserIdEnd = updateUserIdEnd;
		return this;
    }

    /**
    * 设置 增加 更新用户
    * @param updateUserIdIncrement
    */
    public ProductVersionQuery updateUserIdIncrement(Long updateUserIdIncrement){
		this.updateUserIdIncrement = updateUserIdIncrement;
		return this;
    }

    /**
    * 设置 更新用户
    * @param updateUserIdList
    */
    public ProductVersionQuery updateUserIdList(List<Long> updateUserIdList){
        this.updateUserIdList = updateUserIdList;
		return this;
        }


    /**
    * 获取 OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4)
    * @return orConditionList
    */
    public List<ProductVersionQuery> getOrConditionList(){
    return this.orConditionList;
    }

    /**
    * 设置 OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4)
    * @param orConditionList
    */
    public void setOrConditionList(List<ProductVersionQuery> orConditionList){
        this.orConditionList = orConditionList;
    }

    /**
    * 获取 AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4)
    * @return andConditionList
    */
    public List<ProductVersionQuery> getAndConditionList(){
        return this.andConditionList;
    }

    /**
    * 设置 AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4)
    * @param andConditionList
    */
    public void setAndConditionList(List<ProductVersionQuery> andConditionList){
        this.andConditionList = andConditionList;
    }

}